################################################################################
###     Minicurso de R (V Semana de Cincias Atuariais e Estatstica - UFRJ)
################################################################################

#===============================================================================
# AULA 1
#===============================================================================

# comando bsicos

5 + 10

10^2

cos(10) - sin(pi)/sqrt(5)

10/3

10%%3

10%/%3

5 < 2

10 >= 1

5!=6

###

choose(10,2)*0.5^2*(1-0.5)^8   # P(X=2); X ~ Bin(10,0.5)

exp(-5)*5^4/factorial(4)   # P(X=4); X ~ Poi(5)

###

4*(1 - 1/3 + 1/5 - 1/7 + 1/9 - 1/11 + 1/13 - 1/15 + 1/17 - 1/19 + 1/21 - 1/23 + 1/25 - 1/27)   # aproximando pi

# atribuio

x <- 155

y = 123

z <- x + y - sqrt(x)/y%%2

ls()   # lista as variveis salvas na memria

# lendo dados

dados <- read.table("dados1.txt",header=TRUE)

dados <- read.table("c:\\users\\joaobmp\\desktop\\minicurso r\\exemplos\\dados1.txt",header=TRUE)

###

dados <- read.csv("dados1.csv")

dados <- read.csv("c:\\users\\joaobmp\\desktop\\minicurso r\\exemplos\\dados1.csv")

###

dados <- scan("dados2.txt")

dados <- scan("c:\\users\\joaobmp\\desktop\\minicurso r\\exemplos\\dados2.txt")

# conjunto de dados vetores e matrizes

cars

cars[5,2]

cars[,1]

cars[,2]

# anlise descritiva (medidas)

velocidade <- cars[,1]

distancia <- cars[,2]

attach(cars)   # liberando nomes das colunas

###

summary(cars)   # algumas medidas descritivas

mean(speed)   # mdia

mean(dist)

median(speed)   # mediana

median(dist)

quantile(speed, 0.25)   # quantil 0,25

quantile(dist, 0.75)   # quantil 0,75

sd(speed)   # desvio padro

sd(dist)

table(speed)   # frequncia de cada valor

table(dist)

cor(speed,dist)   # correlao

# anlise grfica

dados <- read.table("c:\\users\\joaobmp\\desktop\\minicurso r\\exemplos\\dados3.txt")

barplot(dados[,2],names.arg=dados[,1])   # grfico de barras

pie(dados[,2],labels=dados[,1])   # grfico de setores

###

barplot(speed)   # grfico de barras (no apropriado)
x11()
barplot(dist)

pie(speed)   # grfico de setores (no apropriado)
x11()
pie(dist)

###

hist(speed)   # histograma
x11()
hist(dist)

boxplot(speed,dist)   # box-plot

plot(speed,dist)   # diagrama de disperso

plot(speed,type="l")   # lines
lines(speed+1)

plot(speed,type="l")   # points
points(speed+1)

hist(speed,prob=TRUE)   # desenhando a densidade
lines(density(speed))

# exerccio

summary(iris)

set <- iris[1:50,]
ver <- iris[51:100,]
vir <- iris[101:150,]

boxplot(set[,1:2])   # spalas setosa # boxplots

boxplot(ver[,3:4])   # ptalas

boxplot(ver[,1:2])   # spalas versicolor

boxplot(ver[,3:4])   # ptalas

boxplot(vir[,1:2])   # spalas virginica

boxplot(vir[,3:4])   # ptalas

plot(set[,1],set[,2])   # spalas setosa  # diagramas de dispersp

plot(set[,3],set[,4])   # ptalas

plot(ver[,1],ver[,2])   # spalas versicolor

plot(ver[,3],ver[,4])   # ptalas

plot(vir[,1],vir[,2])   # spalas virginica

plot(vir[,3],vir[,4])   # ptalas
